Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006315OCamlOCaml tools (ocaml{lex,yacc,dep,browser,debug})public2014-02-03 06:432014-03-26 22:34
Reportergasche 
Assigned Togasche 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.0+dev 
Target VersionFixed in Version4.02.0+dev 
Summary0006315: [github patch] extend ocamllex with actions before refilling
DescriptionReported by Frédéric Bour:
  https://github.com/ocaml/ocaml/pull/7 [^]
Patch available at:
  https://github.com/ocaml/ocaml/pull/7.patch [^]

> The patch introduces a new "refill" action associated to a lexing rule.
> It is optional and if not used the lexer specification and behavior are unchanged.
>
> When specified, it allows the user to control the way the lexer is
> refilled. For example, an appropriate refill handler could perform the
> blocking operations of refilling under a concurrency monad such as Lwt
> or Async, to work better in a cooperative concurrency setting.
Tagspatch
Attached Files

- Relationships

-  Notes
(0011109)
gasche (developer)
2014-03-26 22:34

Merged in 14461.

- Issue History
Date Modified Username Field Change
2014-02-03 06:43 gasche New Issue
2014-02-19 20:15 doligez Tag Attached: patch
2014-03-26 22:34 gasche Note Added: 0011109
2014-03-26 22:34 gasche Status new => resolved
2014-03-26 22:34 gasche Fixed in Version => 4.02.0+dev
2014-03-26 22:34 gasche Resolution open => fixed
2014-03-26 22:34 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker